ランタイム: Mix::Scene::ILeavingParticle Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Protected Member Functions | List of all members
Mix::Scene::ILeavingParticle Class Referenceabstract

リービングパーティクルインターフェース More...

`#include <ILeavingParticle.h>`

Inheritance diagram for Mix::Scene::ILeavingParticle:
[legend]
Collaboration diagram for Mix::Scene::ILeavingParticle:
[legend]

## Classes

struct | STATE
| ステート構造体 More...

## Public Types

enum | CLONE_FLAGS { C_SHARED_MATERIAL = 0x00000001, C_DUPLICATE_PROCESSOR = 0x00000002, C_ALL = ( C_SHARED_MATERIAL | C_DUPLICATE_PROCESSOR ) }
| クローンフラグ列挙定数 More...
Public Types inherited from Mix::Scene::IRendererObject

enum

TYPE {
UNDEFINED = 0, UNIVERSAL_CAMERA = 1, VIEW_CAMERA = 2, HEMISPHERE_LIGHT = 3,
DIRECTIONAL_LIGHT = 4, SPOT_LIGHT = 5, POINT_LIGHT = 6, SKY_DOME = 7,
ATMOSPHERE_SCATTER = 8, LIGHT_SHAFTS_CASTER = 9, ACTOR_NODE = 10, ACTOR_MODEL = 11,
TERRAIN_MODEL = 12, LEAVING_PARTICLE = 13, SCATTER_PARTICLE = 14, PLANTER = 15,
WATER_POOL = 16, DYNAMICS_WORLD = 17, FLOOR = 18, GHOST = 19
}

| タイプ列挙定数 More...

## Public Member Functions

virtual const Mix::Matrix4x4 & | GetWorldMatrix (void) const =0
| ワールド行列を取得します More...
virtual void | SetWorldMatrix (const Mix::Matrix4x4 &worldMat)=0
| ワールド行列を設定します More...
virtual Boolean | IsPlay (void) const =0
| 再生しているかどうかを確認します More...
virtual void | Play (Boolean bLoop)=0
| 再生します More...
virtual void | Play (Boolean bLoop, Float32 dt, UInt32 stepCount)=0
| 再生します More...
virtual void | Stop (Boolean bForce=False)=0
| 停止します More...
virtual const Mix::Scene::ILeavingParticle::STATE & | GetState (void) const =0
| ステートを取得します More...
virtual const Mix::Geometry::AABB & | GetBounds (void) const =0
| 境界を取得します More...
virtual Boolean | IsVisible (void) const =0
| 視界に入っているかどうかを確認します More...
virtual Boolean | IsVisible (UInt32 id) const =0
| 視界に入っているかどうかを確認します More...
virtual Boolean | IsIgnored (void) const =0
| 圏外かどうかを確認します More...
virtual Boolean | Clone (Mix::Scene::ILeavingParticle **ppParticle, UInt32 flags=Mix::Scene::ILeavingParticle::C_ALL)=0
| 自身のクローンを作成します More...
Public Member Functions inherited from Mix::Scene::IParticle
virtual void | GetMaterial (Mix::Scene::IMaterial **ppMaterial)=0
| マテリアルを取得します More...
virtual Boolean | SetMaterial (Mix::Scene::IMaterial *pMaterial)=0
| マテリアルを設定します More...
virtual void | Update (Float32 dt)=0
| 更新をします More...
virtual void | Refresh (void)=0
| リフレッシュをします More...
virtual void | Refresh1 (void)=0
| 1 回目のリフレッシュをします More...
virtual void | Refresh2 (void)=0
| 2 回目のリフレッシュをします More...
virtual Float32 | Debug_GetDrawAxisScaling (void) const =0
| デバッグ : 軸を描画する際のスケールを取得します More...
virtual void | Debug_SetDrawAxisScaling (Float32 scaling)=0
| デバッグ : 軸を描画する際のスケールを設定します More...
Public Member Functions inherited from Mix::Scene::IWidget
virtual Boolean | CanLocalLighting (void) const =0
| ローカルライティングをすることができるかどうかを確認します More...
Public Member Functions inherited from Mix::Scene::IEntity
virtual Boolean | IsDraw (void) const =0
| 描画するかどうかを確認します More...
virtual void | SetDraw (Boolean state)=0
| 描画するかどうかを設定します More...
virtual Boolean | IsLocalLighting (void) const =0
| ポイントライト、スポットライトによるライティングを行うかどうかを確認します More...
virtual void | SetLocalLighting (Boolean state)=0
| ポイントライト、スポットライトによるライティングを行うかどうかを設定します More...
virtual UInt32 | GetTransparencyPriority (void) const =0
| 半透明ポリゴンの描画の優先度を取得します More...
virtual void | SetTransparencyPriority (UInt32 priority)=0
| 半透明ポリゴンの描画の優先度を設定します More...
virtual Mix::Scene::WATER_CONTAINS_RESULT | GetDefaultWaterContainsResult (void) const =0
| 水中かどうかを判定する際のデフォルト値を取得します More...
virtual void | SetDefaultWaterContainsResult (Mix::Scene::WATER_CONTAINS_RESULT result)=0
| 水中かどうかを判定する際のデフォルト値を設定します More...
Public Member Functions inherited from Mix::Scene::IRendererObject
virtual Mix::Scene::IRendererObject::TYPE | GetType (void) const =0
| 種類を取得します More...
virtual Boolean | IsRendering (void) const =0
| レンダリングされているかどうかを確認します。 More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~ILeavingParticle (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::IParticle
virtual | ~IParticle (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::IWidget
virtual | ~IWidget (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::IEntity
virtual | ~IEntity (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::IRendererObject
virtual | ~IRendererObject (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

リービングパーティクルインターフェース

Note
  据え置きタイプのパーティクルになります。
  個々に配置する、炎や煙などに最適です。

## Member Enumeration Documentation

enum Mix::Scene::ILeavingParticle::CLONE_FLAGS

クローンフラグ列挙定数

Enumerator
C_SHARED_MATERIAL | マテリアルを共有する

C_DUPLICATE_PROCESSOR

プロセッサーを複製する

Note
  プロサッセーを複製した場合は、現在のパーティクルの発生状態がそのままコピーされます。
  また、このフラグを指定しなかった場合は、プロセッサーは新規に作成され、初期( なにも発生していない )状態になります。
  ※ Mix::Scene::ILeavingParticleSystem::CONFIG の behaviorFlags に Mix::Scene::ILeavingParticleSystem::B_INDIVIDUAL が設定されている場合は機能しません。 全てのクローンフラグ

C_ALL |

## Constructor & Destructor Documentation

virtual Mix::Scene::ILeavingParticle::~ILeavingParticle | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual const Mix::Matrix4x4& Mix::Scene::ILeavingParticle::GetWorldMatrix | ( | void |  | ) | const

pure virtual

ワールド行列を取得します

Returns
  ワールド行列を表す Mix::Matrix4x4 クラスを返します

virtual void Mix::Scene::ILeavingParticle::SetWorldMatrix | ( | const Mix::Matrix4x4 & | worldMat | ) |

pure virtual

ワールド行列を設定します

Parameters

  [in] | worldMat | ワールド行列を表す Mix::Matrix4x4 クラス

virtual Boolean Mix::Scene::ILeavingParticle::IsPlay | ( | void |  | ) | const

pure virtual

再生しているかどうかを確認します

Returns
  再生している場合は True を返します

virtual void Mix::Scene::ILeavingParticle::Play | ( | Boolean | bLoop | ) |

pure virtual

再生します

Parameters

  [in] | bLoop | 継続して再生する場合は True

virtual void Mix::Scene::ILeavingParticle::Play | ( | Boolean | bLoop,
|  | Float32 | dt,
|  | UInt32 | stepCount
| ) |  |

pure virtual

再生します

Parameters

  [in] | bLoop | 継続して再生する場合は True
  [in] | dt | デルタタイム( 秒単位 )
  [in] | stepCount | ステップ数

virtual void Mix::Scene::ILeavingParticle::Stop | ( | Boolean | bForce = `False` | ) |

pure virtual

停止します

Parameters

  [in] | bForce | 強制的に停止する場合は True

virtual const Mix::Scene::ILeavingParticle::STATE& Mix::Scene::ILeavingParticle::GetState | ( | void |  | ) | const

pure virtual

ステートを取得します

Returns
  ステートを表す Mix::Scene::ILeavingParticle::STATE 構造体を返します

virtual const Mix::Geometry::AABB& Mix::Scene::ILeavingParticle::GetBounds | ( | void |  | ) | const

pure virtual

境界を取得します

Returns
  境界を表す Mix::Geometry::AABB クラスを返します

virtual Boolean Mix::Scene::ILeavingParticle::IsVisible | ( | void |  | ) | const

pure virtual

視界に入っているかどうかを確認します

Returns
  視界に入っている場合は True を返します

virtual Boolean Mix::Scene::ILeavingParticle::IsVisible | ( | UInt32 | id | ) | const

pure virtual

視界に入っているかどうかを確認します

Parameters

  [in] | id | ビューの識別子

Returns
  視界に入っている場合は True を返します

virtual Boolean Mix::Scene::ILeavingParticle::IsIgnored | ( | void |  | ) | const

pure virtual

圏外かどうかを確認します

Returns
  圏外の場合は True を返します

Note
  圏外とは描画判定に使用される八分木の範囲を超えて配置されている状態のことを表します。

virtual Boolean Mix::Scene::ILeavingParticle::Clone | ( | Mix::Scene::ILeavingParticle ** | ppParticle,
|  | UInt32 | flags = `Mix::Scene::ILeavingParticle::C_ALL`
| ) |  |

pure virtual

自身のクローンを作成します

Parameters

  [out] | ppParticle | 自身のクローンを渡す Mix::Scene::ILeavingParticle インターフェースのポインタのアドレス
  [in] | flags | クローンのフラグを表す Mix::Scene::IActorModel::CLONE_FLAGS 列挙定数の組み合わせ

Returns
  成功した場合は True を返します

The documentation for this class was generated from the following file:

- Mix/Scene/ILeavingParticle.h